Bug 118427 - [GTK] Add support for running unit tests in the web process
Summary: [GTK] Add support for running unit tests in the web process
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 118426 118430 118431
  Show dependency treegraph
 
Reported: 2013-07-05 10:38 PDT by Carlos Garcia Campos
Modified: 2013-07-25 09:12 PDT (History)
7 users (show)

See Also:


Attachments
Patch (28.45 KB, patch)
2013-07-05 11:00 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Updated patch (31.45 KB, patch)
2013-07-05 12:31 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2013-07-05 10:38:33 PDT
Some tests, like GObject DOM bindings API tests run entirely in the WebProcess, we could mke it easy to create these kind of tests. It could also be used to ATK tests.The idea is that the UI process test is just a proxy to run the tests in the web process using a web process extension.
Comment 1 Carlos Garcia Campos 2013-07-05 11:00:25 PDT
Created attachment 206163 [details]
Patch

It also includes the migration of the WebKitDOMNode test as a first example. We can migrate all others in follow up patches.
Comment 2 WebKit Commit Bot 2013-07-05 11:03:18 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Carlos Garcia Campos 2013-07-05 12:31:48 PDT
Created attachment 206166 [details]
Updated patch

I forgot to git add a file
Comment 4 Sam Weinig 2013-07-05 21:27:31 PDT
Can this go into Tools/?
Comment 5 Carlos Garcia Campos 2013-07-07 23:33:23 PDT
(In reply to comment #4)
> Can this go into Tools/?

We have our WebKit2 GTK+ API unit tests in UIProcess/API/gtk/tests it can perfectly be moved to Tools, but not this patch independently, we would need to move the tests directory. Qt and EFL both also have their tests in UIProcess/API/port/tests, though. Maybe we could reorganize the tests moving everything into Tools/TestWebKitAPI having subdirs for every API: C, efl, qt, gtk, etc.
Comment 6 Gustavo Noronha (kov) 2013-07-25 06:04:19 PDT
Comment on attachment 206166 [details]
Updated patch

OK, I'm fine with moving the tests under Tools, fwiw, we can do that in a separate patch.
Comment 7 Carlos Garcia Campos 2013-07-25 09:12:26 PDT
Committed r153327: <http://trac.webkit.org/changeset/153327>